.sponsor-block h4 {
    clear: both;
    border-top: 1px solid #ccc;
    padding-top: 15px;
}

.sponsor-block h4:first-of-type {
  border-top: 0;
}

.sponsor-block h4 ~ div {
    float: left;
  margin: 0 20px 20px 0;
}

.sponsor-block h4 ~ div a img {
  width: 150px;
  height: auto;
}